package com.ssj.service.conch.schoolmaster.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author yangcan
 * 类描述:学生一对一产品服务详情-->下节授课信息
 * 创建时间:2018年7月16日 上午11:38:09

 */
public class TeacherInfoModelDto implements Serializable{

	private static final long serialVersionUID = 1L;
	private String teacherId;//老师id
	private int teacherType; //	老师类型 1：在馆老师 2：一对一授课老师
	private String teacherName; //老师姓名
	private String teacherImg; //老师头像
	private int isWorking; //是否在岗
	private int isFreeTime; //是否有空档
	private int studentCount;// 学员数量
	private int homeworkFeedbackCount;//作业反馈数量
	private String libraryName; //服务线下馆名称
	private int schoolAge;//教龄
	private int numClasses;// 授课次数
	private int sex;//性别 1男 2女
	private String subjectName; //教学科目
	private List<String> teacherLabels; //老师标签集合
	private float parentsPraise; //家长好评度
	private String phone;//老师电话
	public String getTeacherId() {
		return teacherId;
	}
	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}
	public int getTeacherType() {
		return teacherType;
	}
	public void setTeacherType(int teacherType) {
		this.teacherType = teacherType;
	}
	public String getTeacherName() {
		return teacherName;
	}
	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}
	public String getTeacherImg() {
		return teacherImg;
	}
	public void setTeacherImg(String teacherImg) {
		this.teacherImg = teacherImg;
	}
	public int getIsWorking() {
		return isWorking;
	}
	public void setIsWorking(int isWorking) {
		this.isWorking = isWorking;
	}
	public int getIsFreeTime() {
		return isFreeTime;
	}
	public void setIsFreeTime(int isFreeTime) {
		this.isFreeTime = isFreeTime;
	}
	public int getStudentCount() {
		return studentCount;
	}
	public void setStudentCount(int studentCount) {
		this.studentCount = studentCount;
	}
	public int getHomeworkFeedbackCount() {
		return homeworkFeedbackCount;
	}
	public void setHomeworkFeedbackCount(int homeworkFeedbackCount) {
		this.homeworkFeedbackCount = homeworkFeedbackCount;
	}
	public String getLibraryName() {
		return libraryName;
	}
	public void setLibraryName(String libraryName) {
		this.libraryName = libraryName;
	}
	public int getSchoolAge() {
		return schoolAge;
	}
	public void setSchoolAge(int schoolAge) {
		this.schoolAge = schoolAge;
	}
	public int getNumClasses() {
		return numClasses;
	}
	public void setNumClasses(int numClasses) {
		this.numClasses = numClasses;
	}
	public int getSex() {
		return sex;
	}
	public void setSex(int sex) {
		this.sex = sex;
	}
	public String getSubjectName() {
		return subjectName;
	}
	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}
	public List<String> getTeacherLabels() {
		return teacherLabels;
	}
	public void setTeacherLabels(List<String> teacherLabels) {
		this.teacherLabels = teacherLabels;
	}
	public float getParentsPraise() {
		return parentsPraise;
	}
	public void setParentsPraise(float parentsPraise) {
		this.parentsPraise = parentsPraise;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
}
